Loading...
Searching...
No Matches
OFdecay< T > Struct Template Reference

Metafunction to remove several modifiers from a type, for example to realize by-value parameter passing. More...

## Detailed Description

template<typename T>
struct OFdecay< T >

Metafunction to remove several modifiers from a type, for example to realize by-value parameter passing.

OFdecay applies lvalue-to-rvalue, array-to-pointer, and function-to-pointer implicit conversions to the parameter type, removes cv-qualifiers, and defines the resulting type as the public member typedef "type".

See also
  http://en.cppreference.com/w/cpp/types/decay for details.

Template Parameters

  T | The type to decay.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0